"""
Interfaces for Vela Emulators
"""
from abc import ABC


class CasaEmulatorIF(ABC):
    """
    Generic CASA Emulator methods for Vela.
    Should be implemented for any type of CASA emulated processing.
    """

    def run(self):
        raise NotImplementedError

    def setup_environment(self, parameters: dict):
        raise NotImplementedError

    def check_logs(self, parent_path: str):
        raise NotImplementedError
