import { Component, OnInit } from '@angular/core';
import { CapabilityRequest } from '../../model/capability-request';
import { CapabilityRequestService } from '../../services/capability-request.service';

@Component({
  selector: 'app-analyst-tools',
  templateUrl: './analyst-tools.component.html',
  styleUrls: ['./analyst-tools.component.scss'],
})
export class AnalystToolsComponent implements OnInit {
  // tslint:disable-next-line:variable-name
  public capability_name = '';
  public activeCapabilityRequests: Array<CapabilityRequest>;

  constructor(private capabilityRequestService: CapabilityRequestService) {}

  ngOnInit(): void {
  }

  setCapability(name: string) {
    this.capability_name = name;
  }

  getCapability() {
    return this.capability_name;
  }

  getActiveRequests(capabilityName: string) {
    const activeCapabilityRequestsObserver = {
      next: (request) => {
        this.activeCapabilityRequests = request.active_requests;
      },
      error: (error) => console.error("Error when retrieving list of active capability requests:" + error),
    };
    this.capabilityRequestService.getActiveCapabilityRequests(capabilityName).subscribe(activeCapabilityRequestsObserver);
  }
}
