"""remove unused metadata.json fields

Revision ID: 731cab3f7cba
Revises: e4452ab33088
Create Date: 2021-05-12 15:24:59.993302

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '731cab3f7cba'
down_revision = 'e4452ab33088'
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE workflow_templates 
        SET content = E'{
  "fileSetIds": "{{sdmId}}",
  "workflowName": "std_calibration",
  "systemId": "{{request_id}}",
  "productLocator": "{{product_locator}}",
  "projectMetadata": {
    "projectCode": "{{projectCode}}",
    "title": "{{title}}",
    "startTime": "{{startTime}}",
    "observer": "{{observer}}"
  },
  "destinationDirectory": "/tmp/workspaces_tmp/{{relative_path}}",
}'
        WHERE filename = 'metadata.json' AND workflow_name = 'std_calibration'
        """
    )


def downgrade():
    op.execute(
        """
        UPDATE workflow_templates
        SET content=E'{
  "fileSetIds": "{{sdmId}}",
  "workflowName": "std_calibration",
  "calFiles": {},
  "createTarFile": false,
  "startTime": 0.0,
  "processingSite": "DSOC",
  "applyTelescopeFlags": false,
  "spectralAveraging": 0,
  "timeAveraging": 0,
  "downloadDataFormat": "ASDM",
  "JsonMetadata.WORK_TO_DELIVER": "PRODUCTS",
  "recipientsList": "chausman@nrao.edu",
  "deliveryFormat": "ASDM",
  "systemId": "{{request_id}}",
  "productLocator": "{{product_locator}}",
  "projectMetadata": {
    "projectCode": "{{projectCode}}",
    "title": "{{title}}",
    "startTime": "{{startTime}}",
    "observer": "{{observer}}"
  },
  "mostRecentTask": "",
  "destinationDirectory": "/tmp/workspaces_tmp/{{relative_path}}",
  "intentsFileName": "intents_hifv.xml",
  "proceduresFileName": "procedure_hifv.xml",
  "notificationSender": "do-not-reply@nrao.edu",
  "telescope": "VLA",
  "downloadFormat": "asdm",
  "user": "vlapipe",
  "archive": "",
  "intents": "",
  "selectScans": "",
  "ousStatusID": "",
  "projectCodeOrDataType": ""
}'
        WHERE filename = 'metadata.json' AND workflow_name = 'std_calibration'
        """
    )
