#!/bin/bash

# Grabs all the test data we need from ssstestdb for later import into workspaces_db container

# do not expand instances of * in the SQL commands we'll be building
GLOBIGNORE="*"

echo export PGPASSWORD= > test_project_data.sh

# build the psql command
psql_cmd='psql -h ssstestdb archive archive -c '
copy_start='"COPY ('

copy_proj=$psql_cmd$copy_start$(<select_projects.sql)')'
copy_cmd=$copy_proj' TO STDOUT" > projects.txt'

# put it into the shell script
echo $copy_cmd >> test_project_data.sh

# get the filegroups in these projects
copy_fgs=$psql_cmd$copy_start$(<select_fgs.sql)')'
copy_cmd=$copy_fgs' TO STDOUT" > filegroups.txt'
echo $copy_cmd >> test_project_data.sh

# get all the EBs in these projects
copy_ebs=$psql_cmd$copy_start$(<select_ebs.sql)')'
copy_cmd=$copy_ebs' TO STDOUT" > execution_blocks.txt'
echo $copy_cmd >> test_project_data.sh

# get the science products
copy_sp=$psql_cmd$copy_start$(<select_sps.sql)')'
copy_cmd=$copy_sp' TO STDOUT" > science_products.txt'
echo $copy_cmd >> test_project_data.sh

# finally, get files
copy_files=$psql_cmd$copy_start$(<select_files.sql)')'
copy_cmd=$copy_files' TO STDOUT" > files.txt'
echo $copy_cmd >> test_project_data.sh

# execute the shell script
export PGPASSWORD=
chmod +x test_project_data.sh
./test_project_data.sh

export PGPASSWORD=docker
